[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBits.OpenBit

Returns the position of the first bit that is set to False.

## Declaration

Source position: classesh.inc line 420

`public function TBits.OpenBit: LongInt;`

## Description

OpenBit returns the position of the first bit whose value is 0 (False), or -1 if no open bit was found. This call is equivalent to FindFirstBit(False), except that it doesn't set the position for the next searches.

## Errors

None.

## See also

FindNextBit |  | Find first bit with a particular value
FindPrevBit |  | Searches the previous bit with a particular value.
FindFirstBit |  | Find first bit with a particular value
SetIndex |  | Sets the start position for FindNextBit and FindPrevBit